django-countries for Debian
---------------------------

Flag icon support:
------------------

This package does not include the flag icons. They are provided in separate
packages:
  - famfamfam-flags-png
  - famfamfam-flags-gif

The package come with a symlink that gets picked up by
django.contrib.staticfiles. It will make sure that all flag icons from either
famfamfam-flags-png or famfamfam-flags-gif are copied to your STATIC_ROOT.

Now for PNG flag icons include this in settings.py:

  COUNTRIES_FLAG_URL = '/media/flags/%s.png'

Or just change the suffix to use the GIF flags:

  COUNTRIES_FLAG_URL = '/media/flags/%s.gif'

Translations:
-------------

The package iso-codes comes with it's own translations of country names.
django-countries has been patched to automatically use these translations.

Custom country codes:
---------------------

It is possible (but not encouraged because of missing translations) to use a
modified iso_3166.xml file by adding this to your settings.py:

  COUNTRIES_ISO_XML = '/path/to/custom_iso_3166.xml'

 -- Fladischer Michael <FladischerMichael@fladi.at>  Sat, 02 Apr 2010 11:11:51 +0100
